/*
   Html.java -- utilities for webmacro templates

   $Id: Html.java,v 1.1 1999/05/24 19:41:57 eg Exp $

   Copyright (C) 1999, Edwin Glaser

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
*/

package htsearch;

import java.net.URLEncoder;

/**
 * Html -- utilities for webmacro templates
 *
 *
 */

public class Html 
{
  public String URLEncode(String var)
  {
	return URLEncoder.encode(var);
  }

  public String TextEncode(String var)
  {
	if ( var.indexOf('"') < 0 ) return var;
	StringBuffer b = new StringBuffer();
	for ( int i = 0 ; i < var.length(); i++ )
	{
		if ( var.charAt(i) == '"' )
		{
			b.append("&quot;");
		}
		else
		{
			b.append(var.charAt(i));
		}
	}
	return b.toString();
  }

  public String Selected(String val1, String val2)
  {
	if ( val1.equals(val2) )
	{
		return "selected";
	}
	return "";
  }

  public String Checked(String val1, String val2)
  {
	if ( val1.equals(val2) )
	{
		return "checked";
	}
	return "";
  }

  static Html _instance;

  static public Html instance()
  {
	if ( _instance == null )
	{
		_instance = new Html();
	}
	return _instance;
  }
} // Html
